package com.bokecc.livemodule.replaymix;

import com.bokecc.sdk.mobile.live.stream.live.rtc.HDMediaView;

/**
 * 回放直播间视频监听
 */
public interface DWReplayMixVideoListener {
    /**
     * 收到视频流可用
     * @param hdMediaView
     */
    void onPlayBackStreamViewPrepared(HDMediaView hdMediaView);

    /**
     * 播放器准备完成
     */
    void onPlayerPrepared();

    /**
     * 开始缓存 意味着卡顿
     */
    void onBufferStart();

    /**
     * 缓存结束
     */
    void onBufferEnd();

    /**
     * 开始渲染
     */
    void onRenderStart();
}
